## bcmwl 5.60.48.36+bdcom

=== Makefile ===

#
# Makefile fragment for Linux 2.6
# Broadcom 802.11abg Networking Device Driver
#
# Copyright (C) 2010, Broadcom Corporation
# All Rights Reserved.
# 
# This is UNPUBLISHED PROPRIETARY SOURCE CODE of Broadcom Corporation;
# the contents of this file may not be disclosed to third parties, copied
# or duplicated in any form, in whole or in part, without the prior
# written permission of Broadcom Corporation.
#
# $Id: Makefile_kbuild_portsrc,v 1.5.4.1 2009/08/13 21:37:18 Exp $

obj-m              += wl.o

wl-objs            := 
wl-objs            += src/shared/linux_osl.o
wl-objs            += src/wl/sys/wl_linux.o
wl-objs            += src/wl/sys/wl_iw.o

EXTRA_CFLAGS       :=
EXTRA_CFLAGS       += -I$(src)/src/include
EXTRA_CFLAGS       += -I$(src)/src/wl/sys -I$(src)/src/wl/phy

EXTRA_LDFLAGS      := $(src)/lib/wlc_hybrid.o_shipped

all:
	KBUILD_NOPEDANTIC=1 make -C /lib/modules/`uname -r`/build M=`pwd`

clean:
	KBUILD_NOPEDANTIC=1 make -C /lib/modules/`uname -r`/build M=`pwd` clean

install:
	install -D -m 755 wl.ko /lib/modules/`uname -r`/kernel/drivers/net/wireless/wl.ko

## bcmwl 6.20.155.1+bdcom

=== Makefile ===
#
# Makefile fragment for Linux 2.6
# Broadcom 802.11abg Networking Device Driver
#
# Copyright (C) 2011, Broadcom Corporation. All Rights Reserved.
# 
# Permission to use, copy, modify, and/or distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
# 
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
# SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
# OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
# CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#
# $Id: Makefile_kbuild_portsrc 299811 2011-12-01 01:49:50Z $

ifneq ($(KERNELRELEASE),)

  LINUXVER_GOODFOR_CFG80211:=$(strip $(shell \
    if [ "$(VERSION)" -ge "2" -a "$(PATCHLEVEL)" -ge "6" -a "$(SUBLEVEL)" -ge "32" -o "$(VERSION)" -ge "3" ]; then \
      echo TRUE; \
    else \
      echo FALSE; \
    fi \
  ))

    LINUXVER_WEXT_ONLY:=$(strip $(shell \
    if [ "$(VERSION)" -ge "2" -a "$(PATCHLEVEL)" -ge "6" -a "$(SUBLEVEL)" -ge "17" ]; then \
      echo FALSE; \
    else \
      echo TRUE; \
    fi \
  ))

  ifneq ($(API),)
    ifeq ($(API), CFG80211)
      APICHOICE := FORCE_CFG80211
      $(info CFG80211 API specified in command line)
    else
      ifeq ($(API), WEXT)
        APICHOICE := FORCE_WEXT
        $(info Wireless Extension API specified in command line)
      else
        $(error Unknown API type)
      endif
    endif
  else
    ifeq ($(LINUXVER_GOODFOR_CFG80211),TRUE)
      APICHOICE := PREFER_CFG80211
      $(info CFG80211 API is prefered for this kernel version)
    else
      ifeq ($(LINUXVER_WEXT_ONLY),TRUE)
        APICHOICE := FORCE_WEXT
        $(info Wireless Extension is the only possible API for this kernel version)
      else
        APICHOICE := PREFER_WEXT
        $(info Wireless Extension API is prefered for this kernel version)
      endif
    endif
  endif

  ifeq ($(APICHOICE),FORCE_CFG80211)
    ifneq ($(CONFIG_CFG80211),)
      APIFINAL := CFG80211
    else
      $(error CFG80211 is specified but it is not enabled in kernel)
    endif
  endif

  ifeq ($(APICHOICE),FORCE_WEXT)
    APIFINAL := WEXT
  endif

  ifeq ($(APICHOICE),PREFER_CFG80211)
    ifneq ($(CONFIG_CFG80211),)
      APIFINAL := CFG80211
    else
      ifneq ($(CONFIG_WIRELESS_EXT),)
        APIFINAL := WEXT
      else
        $(warning Neither CFG80211 nor Wireless Extension is enabled in kernel)
      endif
    endif
  endif

  ifeq ($(APICHOICE),PREFER_WEXT)
    ifneq ($(CONFIG_WIRELESS_EXT),)
      APIFINAL := WEXT
    else
      ifneq ($(CONFIG_CFG80211),)
        APIFINAL := CFG80211
      else
        $(warning Neither CFG80211 nor Wireless Extension is enabled in kernel)
      endif
    endif
  endif

endif

EXTRA_CFLAGS :=

ifeq ($(APIFINAL),CFG80211)
  EXTRA_CFLAGS += -DUSE_CFG80211
  $(info Using CFG80211 API)
endif

ifeq ($(APIFINAL),WEXT)
  EXTRA_CFLAGS += -DUSE_IW
  $(info Using Wireless Extension API)
endif

obj-m              += wl.o

wl-objs            := 
wl-objs            += src/shared/linux_osl.o
wl-objs            += src/wl/sys/wl_linux.o
wl-objs            += src/wl/sys/wl_iw.o
wl-objs            += src/wl/sys/wl_cfg80211.o

EXTRA_CFLAGS       += -I$(src)/src/include
EXTRA_CFLAGS       += -I$(src)/src/wl/sys -I$(src)/src/wl/clm/api -I$(src)/src/wl/phy
#EXTRA_CFLAGS       += -DBCMDBG_ASSERT

EXTRA_LDFLAGS      := $(src)/lib/wlc_hybrid.o_shipped

KBASE              ?= /lib/modules/`uname -r`
KBUILD_DIR         ?= $(KBASE)/build
MDEST_DIR          ?= $(KBASE)/kernel/drivers/net/wireless

all:
	KBUILD_NOPEDANTIC=1 make -C $(KBUILD_DIR) M=`pwd`

clean:
	KBUILD_NOPEDANTIC=1 make -C $(KBUILD_DIR) M=`pwd` clean

install:
	install -D -m 755 wl.ko $(MDEST_DIR)

## bcmwl 6.30.223.141+bdcom

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Makefile fragment for Linux 2.6
 # Broadcom 802.11abg Networking Device Driver
 #
-# Copyright (C) 2011, Broadcom Corporation. All Rights Reserved.
+# Copyright (C) 2013, Broadcom Corporation. All Rights Reserved.
 # 
 # Permission to use, copy, modify, and/or distribute this software for any
 # purpose with or without fee is hereby granted, provided that the above
@@ -16,7 +16,7 @@
 # OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
 # CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 #
-# $Id: Makefile_kbuild_portsrc 299811 2011-12-01 01:49:50Z $
+# $Id: Makefile_kbuild_portsrc 384222 2013-02-10 01:56:57Z $
 
 ifneq ($(KERNELRELEASE),)
 
@@ -115,14 +115,15 @@
 
 obj-m              += wl.o
 
-wl-objs            := 
+wl-objs            :=
 wl-objs            += src/shared/linux_osl.o
 wl-objs            += src/wl/sys/wl_linux.o
 wl-objs            += src/wl/sys/wl_iw.o
-wl-objs            += src/wl/sys/wl_cfg80211.o
+wl-objs            += src/wl/sys/wl_cfg80211_hybrid.o
 
-EXTRA_CFLAGS       += -I$(src)/src/include
-EXTRA_CFLAGS       += -I$(src)/src/wl/sys -I$(src)/src/wl/clm/api -I$(src)/src/wl/phy
+EXTRA_CFLAGS       += -I$(src)/src/include -I$(src)/src/common/include
+EXTRA_CFLAGS       += -I$(src)/src/wl/sys -I$(src)/src/wl/phy -I$(src)/src/wl/ppr/include
+EXTRA_CFLAGS       += -I$(src)/src/shared/bcmwifi/include
 #EXTRA_CFLAGS       += -DBCMDBG_ASSERT
 
 EXTRA_LDFLAGS      := $(src)/lib/wlc_hybrid.o_shipped

## bcmwl 6.30.223.248+bdcom

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Makefile fragment for Linux 2.6
 # Broadcom 802.11abg Networking Device Driver
 #
-# Copyright (C) 2013, Broadcom Corporation. All Rights Reserved.
+# Copyright (C) 2014, Broadcom Corporation. All Rights Reserved.
 # 
 # Permission to use, copy, modify, and/or distribute this software for any
 # purpose with or without fee is hereby granted, provided that the above
@@ -16,7 +16,7 @@
 # OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
 # CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 #
-# $Id: Makefile_kbuild_portsrc 384222 2013-02-10 01:56:57Z $
+# $Id: Makefile_kbuild_portsrc 458427 2014-02-26 23:12:38Z $
 
 ifneq ($(KERNELRELEASE),)
 
@@ -124,7 +124,7 @@
 EXTRA_CFLAGS       += -I$(src)/src/include -I$(src)/src/common/include
 EXTRA_CFLAGS       += -I$(src)/src/wl/sys -I$(src)/src/wl/phy -I$(src)/src/wl/ppr/include
 EXTRA_CFLAGS       += -I$(src)/src/shared/bcmwifi/include
-#EXTRA_CFLAGS       += -DBCMDBG_ASSERT
+#EXTRA_CFLAGS       += -DBCMDBG_ASSERT -DBCMDBG_ERR
 
 EXTRA_LDFLAGS      := $(src)/lib/wlc_hybrid.o_shipped
 
@@ -132,8 +132,15 @@
 KBUILD_DIR         ?= $(KBASE)/build
 MDEST_DIR          ?= $(KBASE)/kernel/drivers/net/wireless
 
+# Cross compile setup.  Tool chain and kernel tree, replace with your own.
+CROSS_TOOLS        = /path/to/tools
+CROSS_KBUILD_DIR   = /path/to/kernel/tree
+
 all:
 	KBUILD_NOPEDANTIC=1 make -C $(KBUILD_DIR) M=`pwd`
+
+cross:
+	KBUILD_NOPEDANTIC=1 make CROSS_COMPILE=${CROSS_TOOLS} -C $(CROSS_KBUILD_DIR) M=`pwd`
 
 clean:
 	KBUILD_NOPEDANTIC=1 make -C $(KBUILD_DIR) M=`pwd` clean

## bcmwl 6.30.223.248+bdcom-0ubuntu8somerville2

=== debian/changelog ===
bcmwl (6.30.223.248+bdcom-0ubuntu8somerville2) trusty; urgency=medium

  * Bump version. 

 -- Cyrus Lien <cyrus.lien@canonical.com>  Fri, 23 Dec 2016 09:51:06 +0800

bcmwl (6.30.223.248+bdcom-0ubuntu8somerville1) trusty; urgency=medium

  * Bump version to support trusty

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Wed, 16 Nov 2016 20:17:04 +0800

bcmwl (6.30.223.248+bdcom-0ubuntu8) xenial; urgency=medium

  * debian/dkms.conf.in,
    debian/patches/0020-add-support-for-linux-4.3.patch:
    - Add support for Linux 4.3.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 16 Nov 2015 18:03:52 +0100

bcmwl (6.30.223.248+bdcom-0ubuntu7) wily; urgency=medium

  * debian/bcmwl-kernel-source.modaliases: really fix matching for model 43b1,
    apparently modaliases are case-sensitive, and changing ubuntu-drivers
    to remove that limitation looks like it would negatively affect its
    performance. (LP: #1498074)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 28 Sep 2015 15:46:13 -0400

bcmwl (6.30.223.248+bdcom-0ubuntu6) wily; urgency=medium

  * debian/bcmwl-kernel-source.modaliases: add 43b1 as a matched model in
    modalises; https://wireless.wiki.kernel.org/en/users/Drivers/b43 says it
    is supported by the wl driver (this is BCM4352). (LP: #1498074, #1173761)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 22 Sep 2015 09:52:45 -0400

bcmwl (6.30.223.248+bdcom-0ubuntu5) wily; urgency=medium

  * debian/bcmwl-kernel-source.modaliases: Fine-tune product list as per
    http://www.broadcom.com/docs/linux_sta/README_6.30.223.248.txt. Thanks
    Adam Smith! (LP: #1490713)
  * debian/bcmwl-kernel-source.postrm: Warn that a reboot is needed after
    removing. Thanks Adam Smith! (LP: #1491070)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 18 Sep 2015 10:12:45 +0200

bcmwl (6.30.223.248+bdcom-0ubuntu4.1) wily; urgency=medium

  * Added needed patches for lts kernels (LP: #1415880)
  * Fixed null pointer reference (LP: #1415880)
    d/p/0019-broadcom-sta-6.30.223.248-3.18-null-pointer-fix.patch

 -- Rafael David Tinoco <rafael.tinoco@canonical.com>  Thu, 10 Sep 2015 10:42:38 -0500

bcmwl (6.30.223.248+bdcom-0ubuntu4) wily; urgency=medium

  * Add support for Linux 4.2
    debian/patches/0018-cfg80211_disconnected.patch 
    A successful 4.2 based install depends on EXPORT_SYMBOL(flush_workqueue)
    which will first appear in linux (4.2.0-3.3).

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 04 Aug 2015 11:32:12 -0600

bcmwl (6.30.223.248+bdcom-0ubuntu3) wily; urgency=medium

  [ Simon Eisenmann ]
  * debian/dkms.conf.in
    debian/patches/0016-repair-make-warnings.patch
    debian/patches/0017-add-support-for-Linux-4.0.patch
    - Fixed make warnings
      Credit for the patch goes to Krzysztof Kolasa.
    - Add support for Linux 4.0 (LP: #1424676)
      Credit for the patch goes to Krzysztof Kolasa.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 11 May 2015 18:22:09 -0500

bcmwl (6.30.223.248+bdcom-0ubuntu2) vivid; urgency=medium

  * debian/dkms.conf.in,
    debian/patches/0014-add-support-for-Linux-3.17.patch,
    debian/patches/0015-add-support-for-Linux-3.18.patch:
    - Add support for Linux 3.17 (LP: #1358966).
      Credit for the patch goes to Brian Norris.
    - Add support for Linux 3.18 (LP: #1358966).
      Credit for the patch goes to Krzysztof Kolasa.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 06 Nov 2014 18:43:27 +0100

bcmwl (6.30.223.248+bdcom-0ubuntu1) utopic; urgency=medium

  * New upstream release: (LP: #1342645)
    - This is an official public release from Broadcom.
  * debian/dkms.conf.in:
    - Drop patches for kernels 3.10 (now upstream)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 01 Aug 2014 11:09:43 +1200

bcmwl (6.30.223.141+bdcom-0ubuntu4) utopic; urgency=medium

  * debian/patches/0013-gcc.patch:
    - Fix build with recent version of GCC (LP: #1328858)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 01 Aug 2014 10:38:46 +1200

bcmwl (6.30.223.141+bdcom-0ubuntu3) utopic; urgency=medium

  * debian/patches/0012-add-support-for-Linux-3.15.patch:
    - Add support for Linux 3.15 (LP: #1307744).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 12 May 2014 18:33:36 +0200

bcmwl (6.30.223.141+bdcom-0ubuntu2) trusty; urgency=low

  [ Shuduo Sang ]
  * 0010-change-the-network-interface-name-from-eth-to-wlan.patch:
    - Change the network interface name from eth to wlan
      (LP: #1157136).

  [ Krzysztof Kolasa ]
  * 0011-do-not-define-__devinit-as-__init-in-linux-3.8-as-__.patch:
    - Do not define __devinit as __init when dealing with
      Linux >= 3.8.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 22 Nov 2013 11:24:36 +0100

bcmwl (6.30.223.141+bdcom-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - This is an official public release from Broadcom.
  * debian/dkms.conf.in:
    - Drop patches for kernels 3.4-3.9 (now upstream)
      and keep only the one for 3.10.
  * 0009-add-support-for-linux-3.10.0.patch:
    - Refresh for the latest upstream release.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 09 Oct 2013 16:24:16 +0200

bcmwl (6.30.223.30+bdcom-0ubuntu3) saucy; urgency=low

  * debian/dkms.conf.in:
    - Make sure 0009-add-support-for-linux-3.10.0.patch
      is applied only against Linux 3.10.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 01 Jul 2013 15:22:30 +0200

bcmwl (6.30.223.30+bdcom-0ubuntu2) saucy; urgency=low

  * debian/dkms.conf.in,
    debian/patches/0009-add-support-for-linux-3.10.0.patch:
    - Add support for Linux 3.10.
      Thanks to Maarten Lankhorst for the patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 18 Jun 2013 17:40:40 +0200

bcmwl (6.30.223.30+bdcom-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/dkms.conf.in:
    - Drop patches for Linux 3.2 and 3.4.
  * 0006-add-support-for-linux-3.8.0.patch,
    0007-nl80211-move-scan-API-to-wdev.patch:


=== debian/control ===
Source: bcmwl
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alberto Milone <alberto.milone@canonical.com>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7.0.50~),
 dh-modaliases

Package: bcmwl-kernel-source
Architecture: i386 amd64
Depends: ${misc:Depends}, dkms, linux-libc-dev, libc6-dev
XB-Modaliases: ${modaliases}
Conflicts: bcmwl-modaliases
Replaces: bcmwl-modaliases
Description: Broadcom 802.11 Linux STA wireless driver source
 This package contains Broadcom 802.11 Linux STA wireless driver
 for use with Broadcom's BCM4311-, BCM4312-, BCM4313-, BCM4321-,
 BCM4322-, BCM43224-, and BCM43225-, BCM43227- and BCM43228-based
 hardware.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright (C) 2009 Alberto Milone

DRIVER_NAME := bcmwl
VERSION := $(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f2 | cut -d- -f1 | cut -d\: -f2)
PKG_kernel_src  := bcmwl-kernel-source
ARCH := $(shell dpkg --print-architecture)
ifeq ($(ARCH),amd64)
ARCH_SUFFIX=x86_64
else
ARCH_SUFFIX=i386
endif

%:
	dh "$@" --with modaliases

# we don't actually build/clean the source here, it's dkms
override_dh_auto_clean:

override_dh_auto_build:

override_dh_auto_install:
	# just create .install files from templates.
	for i in dkms.conf \
		$(PKG_kernel_src).install; do \
		sed -e "s|#VERSION#|$(VERSION)|"   \
			-e "s|#ARCH#|$(ARCH_SUFFIX)|"   \
			debian/$$i.in > debian/$$i;      \
	done

override_dh_clean:
	dh_clean

	rm -f debian/dkms.conf \
	debian/$(PKG_kernel_src).install \
	rm -Rf $(CURDIR)/$(PKG_kernel_src)

## bcmwl 6.30.223.273+bdcom

=== debian/changelog ===
bcmwl (6.30.223.273+bdcom) unstable; urgency=medium

  * update version.

 -- LiChengGang <lichenggang@uniontech.com>  Mon, 14 Feb 2022 10:24:17 +0800

bcmwl (6.30.223.271+bdcom) hirsute; urgency=medium

  * debian/dkms.conf.in,
    debian/patches/0029-Update-for-set_fs-removal-in-Linux-5.10.patch
    - Add internal ioctl helper to avoid the need to use set_fs()/get_fs(),
      which have been removed in Linux 5.10.

 -- Seth Forshee <seth.forshee@canonical.com>  Fri, 12 Mar 2021 08:35:16 -0600

bcmwl (6.30.223.271+bdcom-0ubuntu7) groovy; urgency=medium

  * debian/patches/0028-add-support-for-linux-5.6.patch:
    - Remove extra src prefix, which prevented the patch from
      being applied correctly (LP: #1878045).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 02 Oct 2020 11:57:47 +0200

bcmwl (6.30.223.271+bdcom-0ubuntu6) groovy; urgency=medium

  * debian/dkms.conf.in,
    debian/patches/0028-add-support-for-linux-5.6.patch (LP: #1872908):
    - Add support for Linux 5.6.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 04 May 2020 13:23:19 +0200

bcmwl (6.30.223.271+bdcom-0ubuntu5) eoan; urgency=medium

  * debian/dkms.conf.in,
    debian/patches/0027-add-support-for-linux-5.1.patch (LP: #1827100):
    - Add support for Linux 5.1.

 -- Seth Forshee <seth.forshee@canonical.com>  Fri, 17 May 2019 15:35:42 -0500

bcmwl (6.30.223.271+bdcom-0ubuntu4) bionic; urgency=medium

  * debian/dkms.conf.in, (LP: #1737744)
    debian/patches/0025-add-support-for-linux-4.14.patch:
    debian/patches/0026-add-support-for-linux-4.15.patch:
    - Add support for Linux 4.12.

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Fri, 15 Dec 2017 18:22:18 +0000

bcmwl (6.30.223.271+bdcom-0ubuntu3) artful; urgency=medium

  * debian/dkms.conf.in,
    debian/patches/0024-add-support-for-linux-4.12.patch:
    - Add support for Linux 4.12.
      Thanks to Dmitriy Budnik for reporting the problem and for pointing
      to part of the solution.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 12 Jun 2017 16:48:01 +0200

bcmwl (6.30.223.271+bdcom-0ubuntu2) zesty; urgency=medium

  * debian/dkms.conf.in,
    debian/patches/0023-add-support-for-linux-4.11.patch:
    - Add support for Linux 4.11.
      Credit for the patch goes to Krzysztof Kolasa.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 20 Mar 2017 16:55:50 +0100

bcmwl (6.30.223.271+bdcom-0ubuntu1) zesty; urgency=medium

  * debian/dkms.conf.in
    - Drop obsolete patches.
  * New upstream release:
    - Client does not ACK auth/assoc responses from Cisco AP3800 (LP: #1647036).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 06 Dec 2016 16:29:07 +0100

bcmwl (6.30.223.248+bdcom-0ubuntu11) yakkety; urgency=medium

  * debian/patches/0020-add-support-for-linux-4.8.patch:
    - Fix whitespace issue that prevented DKMS from applying the patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 02 Sep 2016 17:41:43 +0200

bcmwl (6.30.223.248+bdcom-0ubuntu10) yakkety; urgency=medium

  * debian/dkms.conf.in,
    debian/patches/0020-add-support-for-linux-4.8.patch:
    - Add support for Linux 4.8. Thanks to Krzysztof Kolasa.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 22 Aug 2016 16:17:41 +0200

bcmwl (6.30.223.248+bdcom-0ubuntu9) yakkety; urgency=medium

  * debian/dkms.conf.in,
    debian/patches/0020-add-support-for-linux-4.7.patch:
    - Add support for Linux 4.7. Thanks to Vincent Gerris for pointing out
      the solution.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 04 Aug 2016 16:53:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Alberto Milone <alberto.milone@canonical.com>
 Standards-Version: 3.9.1
-Build-Depends: debhelper (>= 7.0.50~),
- dh-modaliases
+Build-Depends: debhelper (>= 7.0.50~)
 
 Package: bcmwl-kernel-source
 Architecture: i386 amd64

## bcmwl 6.30.223.274

=== debian/changelog ===
bcmwl (6.30.223.274-1) unstable; urgency=medium

  * support linux 5.17 

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 19 Apr 2022 11:23:15 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: bcmwl
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@listsubuntu.com>
 XSBC-Original-Maintainer: Alberto Milone <alberto.milone@canonical.com>
 Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 7.0.50~)

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 endif
 
 %:
-	dh "$@" --with modaliases
+	dh "$@"
 
 # we don't actually build/clean the source here, it's dkms
 override_dh_auto_clean:

## bcmwl 6.30.223.275

=== debian/changelog ===
bcmwl (6.30.223.275-2) unstable; urgency=medium

  * support linux 5.18 

 -- LiChengGang <lichenggang@uniontech.com>  Wed, 08 Jun 2022 15:18:42 +0800
